#{extends 'common/landing-base.html' /}
#{set 'title'}
Registrasi Admin K/L/P/D
#{/set}
<section class="header-artikel">
    <div class="ui grid">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Hasil Pencarian "${result.getParamAble().getKeyword()}"</h2>
        </div>
    </div>
</section>
<section class="wrapper-search word-break">
    <div class="ui container">
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui breadcrumb">
                    <a href="#{url route.core_landingcontroller_index /}" class="section">Home</a>
                    <div class="divider"> / </div>
                    <div class="active section">Hasil Pencarian</div>
                    <input type="hidden" id="offset" class="offset" value="0" >
                    <input type="hidden" id="limit" class="limit" value="8" >
                </div>
            </div>
        </div>
        #{searchcontent.content-filter result:result /}
        #{if result.empty}
            <div class="ui grid">
                <div class="sixteen wide column center aligned">
                    <img src="@{'/public/images/no-result.png'}" class="ui image centered" alt="">
                    <div class="ui divider hidden"></div>
                    <div class="f-24 color-blue font-bold">Pencarian tidak ditemukan</div>
                </div>
            </div>
        #{/if}
        #{else}
            <div class="ui grid stackable result-search">
                #{list items: result.getItems(), as: 'content'}
                    <div class="four wide computer eight wide tablet column">
                        <a href="${content.getUrl()}" class="color-unset a-hover">
                            <div class="ui card width-full margin-t-zero">
                                <div class="content content-title">
                                    <div class="right aligned">
                                        #{if content.getDetail()?.isPublic() }
                                            <i class="ui circular small globe icon color-blue"></i>
                                        #{/if}
                                        #{else}
                                            <i class="ui circular small lock icon color-blue"></i>
                                        #{/else}
                                    </div>
                                    <div class="f-10 left aligned">
                                        <i class="small clock outline icon color-blue"></i>${content.getMeta()}
                                    </div>
                                    <div class="title">
                                        ${ content.getDetail().getDetailTitle().replaceAll("\\<.*?\\>", "").length() > 60 ?
                                        content.getDetail().getDetailTitle().replaceAll("\\<.*?\\>", "").substring(0,60) + " ..." : content.getDetail().getDetailTitle().raw()}
                                    </div>
                                    <div class="ui ${content?.getTypeAsColorCode()} tiny label ">${content.getTypeAsLabel()}</div>
                                    #{if content.isProcurementProfile() }
                                        <a href="${content.getDetail()?.getDownloadUrl()}" class="ui tiny ${content?.getTypeAsColorCode()} label radius-10">
                                            <i class="large arrow alternate download-proc circle down outline icon mar-r-zero"></i>
                                        </a>
                                    #{/if}
                                </div>
                                <div class="content search-desc border-unset" style="word-break: break-all;">
                                    ${ content.getDetail().getDetailContent().replaceAll("\\<.*?\\>", "").length() > 115 ?
                                    content.getDetail().getDetailContent().replaceAll("\\<.*?\\>", "").substring(0,115) + " ..." : content.getDetail().getDetailContent().raw()}
                                </div>
                            </div>
                        </a>
                    </div>
                #{/list}
            </div>
            #{pagination result /}
        #{/else}


    </div>
    <div class="ui one column centered grid">
        <div class="bg-danger alert-content hidden"></div>
    </div>
    <div class="ui divider hidden"></div>
    <div class="ui divider hidden"></div>
    <div class="ui divider hidden"></div>
</section>

#{set 'moreScripts'}
#{get 'filterScripts' /}
#{/set}